function G1 = Gamma1(b0, eps0, Par)

opt = odeset('reltol',1e-12,'abstol',1e-12,'events',@b_level_evnt);


[t, b] = ode45(@b_dot, [0, 20], b0, opt, eps0, Par);
    
level_flg = b_level_evnt(t(end), b(end), eps0, Par);

if level_flg(1) >= 0    %if level crossed
    G1 = t(end);
else
    G1 = -1;        
end


function [value,isterminal,direction] = b_level_evnt(t, b, eps0, Par)

value = b - 1;
isterminal = 1;   %Stop the integration
direction = 1;    %Increasing directions, (as initially the error is zero)