%%
%tx_max_bits_upto_sample = 0;
[ TH,X,TJ,XJ,OP ] = non_inst_comm_disturb(20, 0);

TJ_std = TJ;
XJ_std = XJ;

n = OP.n;

figure; h1 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

%%
%tx_max_bits_upto_sample = 4;
[ TH,X,TJ,XJ,OP ] = non_inst_comm_disturb(20, 4);

%%
%
figure; h2 = gcf();
plot(TH(:,1),OP.V,'b',TH(:,1),OP.Vd,'b--','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
legend('$V$', '$V_d$');
set(legend(), 'interpreter','latex','fontsize', 20)

pause
close(h1)
close(h2)

figure; h3 = gcf();
plot(TJ_std{1},n*cumsum([XJ_std{1}(:,2*n+4)]),'b','linewidth',2)
xlabel('$t$ (seconds)','interpreter','latex','fontsize',20);
ylabel('Total # bits transmitted','fontsize',20);
hold on
plot(TJ{1},n*cumsum([XJ{1}(:,2*n+4)]),'b--','linewidth',2)
legend('Sim1', 'Sim2');
set(legend(), 'interpreter','latex','fontsize', 20)

pause
close